#include "Application.h"
#include "DotScene.h"

Application::Application()
{
}

Application::~Application()
{
}

void Application::createScene()
{
    mSceneMgr->setAmbientLight( ColourValue( .2, .2, .2 ) );
    mSceneMgr->setSkyDome(true, "Examples/CloudySky", 5, 8);

    CDotScene scene;
    scene.parseDotScene("Scene.xml", ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME,  
        mSceneMgr
        );
}

void Application::destroyScene()
{
    ExampleApplication::destroyScene();
}
